%define pypi_name xmldiff

Name:          python-%{pypi_name}
Version:       2.4
Release:       %mkrel 6
Summary:       Creates diffs of XML files
Group:         Development/Python
License:       MIT
URL:           https://pypi.org/project/xmldiff
Source0:       %{pypi_source}
BuildArch:     noarch

%description
xmldiff is a library and a command-line utility for making diffs out of XML.
This may seem like something that doesn’t need a dedicated utility, but change
detection in hierarchical data is very different from change detection in flat
data. XML type formats are also not only used for computer readable0 data, it
is also often used as a format for hierarchical data that can be rendered into
human readable formats. A traditional diff on such a format would tell you line
by line the differences, but this would not be be readable by a human. xmldiff
provides tools to make human readable diffs in those situations.

%package -n     python3-%{pypi_name}
Summary:        Creates diffs of XML files
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
xmldiff is a library and a command-line utility for making diffs out of XML.
This may seem like something that doesn’t need a dedicated utility, but change
detection in hierarchical data is very different from change detection in flat
data. XML type formats are also not only used for computer readable0 data, it
is also often used as a format for hierarchical data that can be rendered into
human readable formats. A traditional diff on such a format would tell you line
by line the differences, but this would not be be readable by a human. xmldiff
provides tools to make human readable diffs in those situations.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/xmldiff %{buildroot}%{_bindir}/xmldiff3
mv %{buildroot}%{_bindir}/xmlpatch %{buildroot}%{_bindir}/xmlpatch3

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/xmldiff3
%{_bindir}/xmlpatch3
%{python3_sitelib}/xmldiff
%{python3_sitelib}/xmldiff-%{version}-*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.4-6.mga9
+ Revision: 1823091
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 2.4-5.mga9
+ Revision: 1779500
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 2.4-4.mga9
+ Revision: 1708425
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 2.4-3.mga8
+ Revision: 1608332
- rebuild for removing pythonegg buildrequires in srpm

* Mon Feb 17 2020 umeabot <umeabot> 2.4-2.mga8
+ Revision: 1537686
- Mageia 8 Mass Rebuild

* Thu Nov 07 2019 guillomovitch <guillomovitch> 2.4-1.mga8
+ Revision: 1458659
- new version 2.4

* Mon Sep 16 2019 tv <tv> 2.3-3.mga8
+ Revision: 1442485
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jul 17 2019 daviddavid <daviddavid> 2.3-2.mga8
+ Revision: 1422058
- provide removed/renamed python-xmldiff

* Mon Jul 01 2019 guillomovitch <guillomovitch> 2.3-1.mga8
+ Revision: 1417159
- new version 2.3

* Sun Sep 23 2018 umeabot <umeabot> 0.6.10-9.mga7
+ Revision: 1300621
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.6.10-8.mga6
+ Revision: 942589
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.10-7.mga5
+ Revision: 750029
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.10-6.mga5
+ Revision: 730020
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.10-5.mga5
+ Revision: 688438
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.10-3.mga4
+ Revision: 544565
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.10-2.mga4
+ Revision: 499775
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.6.10-1.mga4
+ Revision: 491873
- Update to 0.6.10

* Sun Jan 13 2013 umeabot <umeabot> 0.6.8-6.mga3
+ Revision: 379711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 23 2011 dmorgan <dmorgan> 0.6.8-5.mga2
+ Revision: 112850
- imported package python-xmldiff


* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.8-5mdv2010.0
+ Revision: 442548
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.6.8-4mdv2009.0
+ Revision: 259867
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.6.8-3mdv2009.0
+ Revision: 247740
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.8-1mdv2008.1
+ Revision: 136018
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-4mdv2007.0
- buildrequires python-devel

* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-3mdv2007.0
- %%mkrel

* Fri May 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-2mdk 
- fix spec name
- don't add PKG-INFO in documentation

* Fri May 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-1mdk 
- first mdk release

